Update a webhook endpoint
curl --request PATCH \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [
"miniapp.question.answered"
],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"status": "active",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Update a webhook endpoint
Updates webhook endpoint metadata and delivery settings.
PATCH
https://api.ando.so/v1
/
webhook-endpoints
/
{endpointId}
Update a webhook endpoint
curl --request PATCH \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [
"miniapp.question.answered"
],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"status": "active",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Body
application/json
Webhook endpoint update request.
Product event types to deliver to this endpoint.
Webhook event type.
Available options:
miniapp.question.answered, miniapp.action.invoked, message.created, message.updated, message.reaction.created, message.reaction.deleted, conversation.membership.created, conversation.archived, conversation.unarchived, call.started, call.ended, call.updated, call.transcript.updated, call.summary.ready, check_back.due, webhook.test